# Variable runScheduler`Const`

runScheduler: {
getDailyTriggersDueNow: ((tickSeconds) => Trigger[]);
getWeeklyTriggersDueNow: ((tickSeconds) => Trigger[]);
runScheduler: ((opts?) => Promise<void>);
} = schedulerImport

#### Type declaration

- ##### getDailyTriggersDueNow: ((tickSeconds) => Trigger[])

  - - (tickSeconds): Trigger[]

    - #### Parameters

      - ##### tickSeconds: number

      #### Returns Trigger[]

- ##### getWeeklyTriggersDueNow: ((tickSeconds) => Trigger[])

  - - (tickSeconds): Trigger[]

    - #### Parameters

      - ##### tickSeconds: number

      #### Returns Trigger[]

- ##### runScheduler: ((opts?) => Promise<void>)

  - - (opts?): Promise<void>

    - #### Parameters

      - ##### opts: any = {}

      #### Returns Promise<void>

- Defined in saltcorn-data/models/index.ts:116

Generated using TypeDoc